Package com.io7m.montarre.adoptium.internal

# Record Class MEVersion

java.lang.Object
java.lang.Record
com.io7m.montarre.adoptium.internal.MEVersion

public record MEVersion(int build, int major, int minor, int security, String openjdkVersion, String semver, String optional) extends Record

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MEVersion(int build, int major, int minor, int security, String openjdkVersion, String semver, String optional)`
  Creates an instance of a `MEVersion` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `build()`
  Returns the value of the `build` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `int`
  `major()`
  Returns the value of the `major` record component.
  `int`
  `minor()`
  Returns the value of the `minor` record component.
  `String`
  `openjdkVersion()`
  Returns the value of the `openjdkVersion` record component.
  `String`
  `optional()`
  Returns the value of the `optional` record component.
  `int`
  `security()`
  Returns the value of the `security` record component.
  `String`
  `semver()`
  Returns the value of the `semver` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MEVersion

    public MEVersion(int build, int major, int minor, int security, String openjdkVersion, String semver, String optional)
    Creates an instance of a `MEVersion` record class.
    Parameters:
      `build` - the value for the `build` record component
      `major` - the value for the `major` record component
      `minor` - the value for the `minor` record component
      `security` - the value for the `security` record component
      `openjdkVersion` - the value for the `openjdkVersion` record component
      `semver` - the value for the `semver` record component
      `optional` - the value for the `optional` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### build

    public int build()
    Returns the value of the `build` record component.
    Returns:
      the value of the `build` record component

  - ### major

    public int major()
    Returns the value of the `major` record component.
    Returns:
      the value of the `major` record component

  - ### minor

    public int minor()
    Returns the value of the `minor` record component.
    Returns:
      the value of the `minor` record component

  - ### security

    public int security()
    Returns the value of the `security` record component.
    Returns:
      the value of the `security` record component

  - ### openjdkVersion

    public String openjdkVersion()
    Returns the value of the `openjdkVersion` record component.
    Returns:
      the value of the `openjdkVersion` record component

  - ### semver

    public String semver()
    Returns the value of the `semver` record component.
    Returns:
      the value of the `semver` record component

  - ### optional

    public String optional()
    Returns the value of the `optional` record component.
    Returns:
      the value of the `optional` record component